declare const PerformanceTimingKeys: readonly ["updateSetStateTrigger", "updateDiffVdomStart", "updateDiffVdomEnd", "diffVdomStart", "diffVdomEnd", "packChangesStart", "packChangesEnd", "parseChangesStart", "parseChangesEnd", "patchChangesStart", "patchChangesEnd", "hydrateParseSnapshotStart", "hydrateParseSnapshotEnd", "mtsRenderStart", "mtsRenderEnd"];
declare const PerformanceTimingFlags: {
    readonly reactLynxHydrate: "react_lynx_hydrate";
};
declare const PipelineOrigins: {
    readonly reactLynxHydrate: "reactLynxHydrate";
    readonly updateTriggeredByBts: "updateTriggeredByBts";
};
type PerformanceTimingKey = typeof PerformanceTimingKeys[number];
type PipelineOrigin = typeof PipelineOrigins[keyof typeof PipelineOrigins];
/**
 * @deprecated used by old timing api(setState timing flag)
 */
declare const PerfSpecificKey = "__lynx_timing_flag";
declare let globalPipelineOptions: PipelineOptions | undefined;
interface TimingAPIOptions {
    shouldStartUpdatePipeline: () => boolean;
    beginPipeline?: typeof beginPipeline;
}
/**
 * @deprecated used by old timing api(setState timing flag)
 */
declare function markTimingLegacy(key: PerformanceTimingKey, timingFlag_?: string): void;
declare function beginPipeline(needTimestamps: boolean, pipelineOrigin: PipelineOrigin, timingFlag?: string): void;
declare function setPipeline(pipeline: PipelineOptions | undefined): void;
declare function resetTimingState(): void;
declare function markTiming(timestampKey: PerformanceTimingKey, force?: boolean): void;
declare function initTimingAPI(timingAPIOptions: TimingAPIOptions): void;
export { PerformanceTimingFlags, PipelineOrigins, PerfSpecificKey, markTimingLegacy, initTimingAPI, beginPipeline, markTiming, setPipeline, resetTimingState, globalPipelineOptions, };
export type { PerformanceTimingKey, PipelineOrigin };
